> ## Documentation Index
> Fetch the complete documentation index at: https://docs.borderless.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Get v1reconciliationitems 1



## OpenAPI

````yaml https://sandbox-api.borderless.xyz/v1/api-json get /v1/reconciliation/items/{transactionId}
openapi: 3.0.0
info:
  title: Borderless API
  description: The Borderless API documentation.
  version: '1.0'
  contact: {}
servers:
  - url: https://sandbox-api.borderless.xyz
security: []
tags: []
paths:
  /v1/reconciliation/items/{transactionId}:
    get:
      tags:
        - Reconciliation
      operationId: ReconciliationController_getItemsByTransaction
      parameters:
        - name: transactionId
          required: true
          in: path
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ReconciliationTransactionResultDto'
      security:
        - bearer: []
components:
  schemas:
    ReconciliationTransactionResultDto:
      type: object
      properties:
        status:
          type: string
          nullable: true
          enum:
            - Matched
            - Mismatched
            - Missing
            - PfiError
          description: >-
            Latest reconciliation status from Transaction.reconciliationStatus.
            Null when the transaction has not been reconciled yet.
        items:
          description: >-
            Full reconciliation history (no dedup). Empty when the transaction
            has not been reconciled yet.
          type: array
          items:
            $ref: '#/components/schemas/ReconciliationItemEntity'
      required:
        - status
        - items
    ReconciliationItemEntity:
      type: object
      properties:
        id:
          type: string
        status:
          allOf:
            - $ref: '#/components/schemas/ReconciliationStatus'
        discrepancyType:
          allOf:
            - $ref: '#/components/schemas/DiscrepancyType'
        details:
          type: object
          nullable: true
        checkedAt:
          format: date-time
          type: string
        transactionId:
          type: string
        externalTransactionId:
          type: string
          nullable: true
        organizationId:
          type: string
        pfiName:
          allOf:
            - $ref: '#/components/schemas/PFIName'
        runId:
          type: string
          nullable: true
        type:
          nullable: true
          allOf:
            - $ref: '#/components/schemas/ReconciliationRunType'
        cadence:
          nullable: true
          allOf:
            - $ref: '#/components/schemas/ReconciliationCadence'
        createdAt:
          format: date-time
          type: string
        updatedAt:
          format: date-time
          type: string
        wasRegressed:
          type: boolean
          description: >-
            True when this item is a regression: status != Matched AND the most
            recent prior item for the same transactionId was Matched.
      required:
        - id
        - status
        - discrepancyType
        - details
        - checkedAt
        - transactionId
        - externalTransactionId
        - organizationId
        - pfiName
        - runId
        - type
        - cadence
        - createdAt
        - updatedAt
        - wasRegressed
    ReconciliationStatus:
      type: string
      enum:
        - Matched
        - Mismatched
        - Missing
        - PfiError
    DiscrepancyType:
      type: string
      enum:
        - None
        - AmountMismatch
        - StatusMismatch
        - AmountAndStatusMismatch
        - NotFoundInPfi
        - NotFoundInBorderless
    PFIName:
      type: string
      enum:
        - Bridge
        - Koywe
        - Kotanipay
        - Hercle
        - Bitso
        - Yellowcard
        - TraceFinance
        - HoneyCoin
        - BlindPay
        - Finity
        - Infinia
        - Walapay
        - Abra
        - Yativo
        - Capa
        - Bivo
        - Cobre
        - Avenia
        - Brale
        - BVNK
        - CoinsPH
        - Iron
        - Enigma
        - Juicyway
        - Kira
        - TripleA
        - Onmeta
        - Alfred
        - Demo
        - CrissCross
    ReconciliationRunType:
      type: string
      enum:
        - Daily
        - Weekly
        - Monthly
        - Quarterly
        - Manual
        - Import
    ReconciliationCadence:
      type: string
      enum:
        - Daily
        - Weekly
        - Monthly
        - Manual
        - Import
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````